先删除以前的 emacs 版本

可以进入 Ubuntu Software Center 里进行删除. 如果熟悉命令行, 也可以使用

sudo apt-get remove emacs 来进行删除.

安装核心依赖

sudo apt-get install build-essential

sudo apt-get build-dep emacs24

下载 Emacs 24.5 源码

cd ~/Downloads && wget -c http://ftp.gnu.org/gnu/emacs/emacs-24.5.tar.gz

解压并进入该目录

cd ~/Downloads && tar -xf emacs-24.5.tar.* && cd emacs-24.5

检测并安装

./configure

如果 configure 这一步出错, 一般是缺少其他相对应的依赖的, 这时, 可以使用 `aptitude` 这个工具来解决依赖的问题.

make -j 4

sudo make install

添加为 Unity 启动图标

[Desktop Entry]
Version=1.0
Name=Emacs-24.5
Exec=env UBUNTU_MENUPROXY=0 /usr/local/bin/emacs
Terminal=false
Icon=emacs
Type=Application
Categories=IDE
X-Ayatana-Desktop-Shortcuts=NewWindow
[NewWindow Shortcut Group]
Name=New Window
TargetEnvironment=Unity

参考资料